# OpalTransportIP Class Reference

`#include <transports.h>`

Inheritance diagram for OpalTransportIP:

[legend]
Collaboration diagram for OpalTransportIP:
[legend]

## Public Member Functions

Operations
virtual OpalTransportAddress | GetLocalAddress (bool allowNAT=true) const
virtual PBoolean | SetLocalAddress (const OpalTransportAddress &address)
virtual OpalTransportAddress | GetRemoteAddress () const
virtual PBoolean | SetRemoteAddress (const OpalTransportAddress &address)

## Protected Member Functions

virtual const PCaselessString & | GetProtoPrefix () const =0
Construction
| OpalTransportIP (OpalEndPoint &endpoint, PChannel *channel, PIPSocket::Address binding, WORD port)

## Protected Attributes

PIPSocket::Address | localAddress
WORD | localPort
PIPSocket::Address | remoteAddress
WORD | remotePort

## Constructor & Destructor Documentation

OpalTransportIP::OpalTransportIP | ( | OpalEndPoint & | endpoint,
|  | PChannel * | channel,
|  | PIPSocket::Address | binding,
|  | WORD | port |
| ) |  |  | `[protected]`

Create a new transport channel.

Parameters:

  endpoint | Endpoint object
  channel | Socket
  binding | Local interface to use
  port | Local port to bind to

## Member Function Documentation

virtual OpalTransportAddress OpalTransportIP::GetLocalAddress | ( | bool | allowNAT = `true` | ) | const`[virtual]`

Get the transport dependent name of the local endpoint.

Parameters:

  allowNAT | Allow translation if remote needs NAT

Implements OpalTransport.

Reimplemented in OpalTransportUDP.

virtual const PCaselessString& OpalTransportIP::GetProtoPrefix | ( |  | ) | const`[protected, pure virtual]`

Get the prefix for this transports protocol type.

Implements OpalTransport.

Implemented in OpalTransportTCP, and OpalTransportUDP.

virtual OpalTransportAddress OpalTransportIP::GetRemoteAddress | ( |  | ) | const`[virtual]`

Get the transport dependent name of the remote endpoint.

Implements OpalTransport.

virtual PBoolean OpalTransportIP::SetLocalAddress | ( | const OpalTransportAddress & | address | ) | `[virtual]`

Set local address to connect from. Note that this may not work for all transport types or may work only before Connect() has been called.

Implements OpalTransport.

Reimplemented in OpalTransportUDP.

virtual PBoolean OpalTransportIP::SetRemoteAddress | ( | const OpalTransportAddress & | address | ) | `[virtual]`

Set remote address to connect to. Note that this does not necessarily initiate a transport level connection, but only indicates where to connect to. The actual connection is made by the Connect() function.

Implements OpalTransport.

Reimplemented in OpalTransportUDP.

## Field Documentation

PIPSocket::Address OpalTransportIP::localAddress `[protected]`

WORD OpalTransportIP::localPort `[protected]`

PIPSocket::Address OpalTransportIP::remoteAddress `[protected]`

WORD OpalTransportIP::remotePort `[protected]`

The documentation for this class was generated from the following file:

- transports.h